# org.apache.lucene.replicator

## Interfaces

- ReplicationClient.ReplicationHandler
- ReplicationClient.SourceDirectoryFactory
- Replicator
- Revision

## Classes

- IndexAndTaxonomyReplicationHandler
- IndexAndTaxonomyRevision
- IndexAndTaxonomyRevision.SnapshotDirectoryTaxonomyWriter
- IndexInputInputStream
- IndexReplicationHandler
- IndexRevision
- LocalReplicator
- PerSessionDirectoryFactory
- ReplicationClient
- RevisionFile
- SessionToken

## Exceptions

- SessionExpiredException